/*
 * Copyright The Asahi Linux Contributors
 * SPDX-License-Identifier: MIT
 *
 * Autogenerated file, do not edit
 */
#include "compiler/nir/nir_builder.h"

static inline nir_def *
libagx_vertex_id_for_topology(nir_builder *b, nir_def *arg1, nir_def *arg2, nir_def *arg3, nir_def *arg4, nir_def *arg5)
{
   assert(arg1->bit_size == 32);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 1);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   assert(arg4->bit_size == 32);
   assert(arg4->num_components == 1);

   assert(arg5->bit_size == 32);
   assert(arg5->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_vertex_id_for_topology");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_vertex_id_for_topology");
      func->num_params = 6;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 32;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 1;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;

      func->params[4].bit_size = 32;
      func->params[4].num_components = 1;

      func->params[5].bit_size = 32;
      func->params[5].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(0, 1);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2, arg3, arg4, arg5);

   return nir_load_deref(b, deref);
}

static inline nir_def *
libagx_setup_xfb_buffer(nir_builder *b, nir_def *arg1, nir_def *arg2)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_setup_xfb_buffer");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_setup_xfb_buffer");
      func->num_params = 3;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(0, 1);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2);

   return nir_load_deref(b, deref);
}

static inline void
libagx_end_primitive(nir_builder *b, nir_def *arg0, nir_def *arg1, nir_def *arg2, nir_def *arg3, nir_def *arg4, nir_def *arg5)
{
   assert(arg0->bit_size == 64);
   assert(arg0->num_components == 1);

   assert(arg1->bit_size == 32);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   assert(arg4->bit_size == 32);
   assert(arg4->num_components == 1);

   assert(arg5->bit_size == 32);
   assert(arg5->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_end_primitive");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_end_primitive");
      func->num_params = 6;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 32;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;

      func->params[4].bit_size = 32;
      func->params[4].num_components = 1;

      func->params[5].bit_size = 32;
      func->params[5].num_components = 1;
   }

   nir_call(b, func, arg0, arg1, arg2, arg3, arg4, arg5);
}

static inline void
libagx_build_gs_draw(nir_builder *b, nir_def *arg0, nir_def *arg1, nir_def *arg2, nir_def *arg3, nir_def *arg4)
{
   assert(arg0->bit_size == 64);
   assert(arg0->num_components == 1);

   assert(arg1->bit_size == 1);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   assert(arg4->bit_size == 32);
   assert(arg4->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_build_gs_draw");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_build_gs_draw");
      func->num_params = 5;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 1;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;

      func->params[4].bit_size = 32;
      func->params[4].num_components = 1;
   }

   nir_call(b, func, arg0, arg1, arg2, arg3, arg4);
}

static inline void
libagx_gs_setup_indirect(nir_builder *b, nir_def *arg0, nir_def *arg1)
{
   assert(arg0->bit_size == 64);
   assert(arg0->num_components == 1);

   assert(arg1->bit_size == 32);
   assert(arg1->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_gs_setup_indirect");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_gs_setup_indirect");
      func->num_params = 2;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 32;
      func->params[1].num_components = 1;
   }

   nir_call(b, func, arg0, arg1);
}

static inline void
libagx_prefix_sum(nir_builder *b, nir_def *arg0, nir_def *arg1, nir_def *arg2, nir_def *arg3)
{
   assert(arg0->bit_size == 64);
   assert(arg0->num_components == 1);

   assert(arg1->bit_size == 32);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 2);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_prefix_sum");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_prefix_sum");
      func->num_params = 4;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 32;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 2;
   }

   nir_call(b, func, arg0, arg1, arg2, arg3);
}

static inline nir_def *
libagx_txs(nir_builder *b, nir_def *arg1, nir_def *arg2, nir_def *arg3, nir_def *arg4, nir_def *arg5, nir_def *arg6, nir_def *arg7, nir_def *arg8)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 16);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   assert(arg4->bit_size == 1);
   assert(arg4->num_components == 1);

   assert(arg5->bit_size == 1);
   assert(arg5->num_components == 1);

   assert(arg6->bit_size == 1);
   assert(arg6->num_components == 1);

   assert(arg7->bit_size == 1);
   assert(arg7->num_components == 1);

   assert(arg8->bit_size == 1);
   assert(arg8->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_txs");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_txs");
      func->num_params = 9;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 16;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;

      func->params[4].bit_size = 1;
      func->params[4].num_components = 1;

      func->params[5].bit_size = 1;
      func->params[5].num_components = 1;

      func->params[6].bit_size = 1;
      func->params[6].num_components = 1;

      func->params[7].bit_size = 1;
      func->params[7].num_components = 1;

      func->params[8].bit_size = 1;
      func->params[8].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(0, 4);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8);

   return nir_trim_vector(b, nir_load_deref(b, deref), 3);
}

static inline nir_def *
libagx_texture_samples(nir_builder *b, nir_def *arg1)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_texture_samples");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_texture_samples");
      func->num_params = 2;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(0, 1);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1);

   return nir_load_deref(b, deref);
}

static inline nir_def *
libagx_image_texel_address(nir_builder *b, nir_def *arg1, nir_def *arg2, nir_def *arg3, nir_def *arg4, nir_def *arg5, nir_def *arg6, nir_def *arg7)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 4);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   assert(arg4->bit_size == 32);
   assert(arg4->num_components == 1);

   assert(arg5->bit_size == 1);
   assert(arg5->num_components == 1);

   assert(arg6->bit_size == 1);
   assert(arg6->num_components == 1);

   assert(arg7->bit_size == 1);
   assert(arg7->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_image_texel_address");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_image_texel_address");
      func->num_params = 8;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 4;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;

      func->params[4].bit_size = 32;
      func->params[4].num_components = 1;

      func->params[5].bit_size = 1;
      func->params[5].num_components = 1;

      func->params[6].bit_size = 1;
      func->params[6].num_components = 1;

      func->params[7].bit_size = 1;
      func->params[7].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(9, 1);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2, arg3, arg4, arg5, arg6, arg7);

   return nir_load_deref(b, deref);
}

static inline nir_def *
libagx_buffer_texel_address(nir_builder *b, nir_def *arg1, nir_def *arg2, nir_def *arg3)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 4);

   assert(arg3->bit_size == 32);
   assert(arg3->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_buffer_texel_address");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_buffer_texel_address");
      func->num_params = 4;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 4;

      func->params[3].bit_size = 32;
      func->params[3].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(9, 1);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2, arg3);

   return nir_load_deref(b, deref);
}

static inline nir_def *
libagx_texture_is_rgb32(nir_builder *b, nir_def *arg1)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_texture_is_rgb32");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_texture_is_rgb32");
      func->num_params = 2;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(11, 1);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1);

   return nir_load_deref(b, deref);
}

static inline nir_def *
libagx_texture_load_rgb32(nir_builder *b, nir_def *arg1, nir_def *arg2, nir_def *arg3)
{
   assert(arg1->bit_size == 64);
   assert(arg1->num_components == 1);

   assert(arg2->bit_size == 32);
   assert(arg2->num_components == 1);

   assert(arg3->bit_size == 1);
   assert(arg3->num_components == 1);

   nir_function *func = nir_shader_get_function_for_name(b->shader, "libagx_texture_load_rgb32");

   if (!func) {
      func = nir_function_create(b->shader, "libagx_texture_load_rgb32");
      func->num_params = 4;
      func->params = ralloc_array(b->shader, nir_parameter, func->num_params);

      func->params[0].bit_size = 64;
      func->params[0].num_components = 1;

      func->params[1].bit_size = 64;
      func->params[1].num_components = 1;

      func->params[2].bit_size = 32;
      func->params[2].num_components = 1;

      func->params[3].bit_size = 1;
      func->params[3].num_components = 1;
   }

   const struct glsl_type *ret_type = glsl_vector_type(0, 4);
   nir_variable *ret = nir_local_variable_create(b->impl, ret_type, "return");
   nir_deref_instr *deref = nir_build_deref_var(b, ret);
   deref->def.bit_size = 64;

   nir_call(b, func, &deref->def, arg1, arg2, arg3);

   return nir_load_deref(b, deref);
}

#include <stdint.h>
static const uint32_t libagx_shaders_nir[] = {
    0x00000326, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x908a9700, 0x1fb8e8ae,
    0xdfdf9066, 0x668521f1, 0xaeff2558, 0x00000e92,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00200000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000040, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00002398, 0x0000000c,
    0x0000002c, 0x6162696c, 0x765f7867, 0x65747265,
    0x64695f78, 0x726f665f, 0x706f745f, 0x676f6c6f,
    0x00000079, 0x00000006, 0x00004001, 0x00002001,
    0x00000101, 0x00002001, 0x00002001, 0x00002001,
    0x0000002c, 0x6162696c, 0x735f7867, 0x70757465,
    0x6266785f, 0x6675625f, 0x00726566, 0x00000003,
    0x00004001, 0x00004001, 0x00002001, 0x0000002c,
    0x6162696c, 0x655f7867, 0x705f646e, 0x696d6972,
    0x65766974, 0x00000000, 0x00000006, 0x00004001,
    0x00002001, 0x00002001, 0x00002001, 0x00002001,
    0x00002001, 0x0000002c, 0x6162696c, 0x625f7867,
    0x646c6975, 0x5f73675f, 0x77617264, 0x00000000,
    0x00000005, 0x00004001, 0x00000101, 0x00002001,
    0x00002001, 0x00002001, 0x0000002c, 0x6162696c,
    0x675f7867, 0x65735f73, 0x5f707574, 0x69646e69,
    0x74636572, 0x00000000, 0x00000002, 0x00004001,
    0x00002001, 0x0000002c, 0x6162696c, 0x705f7867,
    0x69666572, 0x75735f78, 0x0000006d, 0x00000004,
    0x00004001, 0x00002001, 0x00002001, 0x00002002,
    0x0000002c, 0x6162696c, 0x745f7867, 0x00007378,
    0x00000009, 0x00004001, 0x00004001, 0x00001001,
    0x00002001, 0x00000101, 0x00000101, 0x00000101,
    0x00000101, 0x00000101, 0x0000002c, 0x6162696c,
    0x745f7867, 0x75747865, 0x735f6572, 0x6c706d61,
    0x00007365, 0x00000002, 0x00004001, 0x00004001,
    0x0000002c, 0x6162696c, 0x695f7867, 0x6567616d,
    0x7865745f, 0x615f6c65, 0x65726464, 0x00007373,
    0x00000008, 0x00004001, 0x00004001, 0x00002004,
    0x00002001, 0x00002001, 0x00000101, 0x00000101,
    0x00000101, 0x0000002c, 0x6162696c, 0x625f7867,
    0x65666675, 0x65745f72, 0x5f6c6578, 0x72646461,
    0x00737365, 0x00000004, 0x00004001, 0x00004001,
    0x00002004, 0x00002001, 0x0000002c, 0x6162696c,
    0x745f7867, 0x75747865, 0x695f6572, 0x67725f73,
    0x00323362, 0x00000002, 0x00004001, 0x00004001,
    0x0000002c, 0x6162696c, 0x745f7867, 0x75747865,
    0x6c5f6572, 0x5f64616f, 0x33626772, 0x00000032,
    0x00000004, 0x00004001, 0x00004001, 0x00002001,
    0x00000101, 0x00000001, 0x00000001, 0x00001001,
    0x001000d3, 0x00000240, 0x7366666f, 0x00737465,
    0x00000003, 0x00000000, 0x00000013, 0x00000e05,
    0xe2011394, 0x92021394, 0xe2031394, 0xe2041394,
    0xe2051394, 0x9230f000, 0x000e000f, 0x00003605,
    0x9230f000, 0x0015000f, 0x92374000, 0x000f0015,
    0x00009605, 0x9230f000, 0x0018000f, 0x92334000,
    0x00190017, 0x00015605, 0x9230f000, 0x001b000f,
    0x92334000, 0x001c001a, 0x00019605, 0x9230f000,
    0x001e000f, 0x92334000, 0x001f001d, 0x00000001,
    0x00000080, 0x00000000, 0x00000001, 0x00000000,
    0x0000001f, 0x00005605, 0x9230f000, 0x0022000f,
    0x92334000, 0x00230016, 0x00007605, 0x9230f000,
    0x0025000f, 0x92334000, 0x00260024, 0x0000b605,
    0x9230f000, 0x0028000f, 0x92334000, 0x00290019,
    0x0000d605, 0x9230f000, 0x002b000f, 0x92334000,
    0x002c002a, 0x00017605, 0x9230f000, 0x002e000f,
    0x92334000, 0x002f001c, 0x0001b605, 0x9230f000,
    0x0031000f, 0x92334000, 0x0032001f, 0x0000f605,
    0x9230f000, 0x0034000f, 0x00011605, 0x9230f000,
    0x0036000f, 0x92334000, 0x00370035, 0xe2e71000,
    0x00180038, 0x00330025, 0x0039002b, 0x00180030,
    0x002d003a, 0x003b0025, 0xe2671000, 0x00220027,
    0x0014003c, 0x003d0015, 0xe2325000, 0x003e0011,
    0xe2308000, 0x0012003f, 0x00000003, 0x00000000,
    0x00000002, 0x00005605, 0x9230f000, 0x0042000f,
    0x00000001, 0x0000010c, 0x00000000, 0x00000001,
    0x00000000, 0x00000007, 0xfffff605, 0xe2308000,
    0x00450013, 0x9270f000, 0x00460011, 0x00150012,
    0x9230b000, 0x00480047, 0xe2308000, 0x00120011,
    0xe2271000, 0x000e0049, 0x0000004a, 0x00000003,
    0x00000000, 0x00000002, 0x0000b605, 0x9230f000,
    0x004d000f, 0x00000001, 0x00000138, 0x00000000,
    0x00000001, 0x00000000, 0x0000000b, 0xe2271000,
    0x000e0010, 0x00000042, 0xe230b000, 0x00150011,
    0x9270f000, 0x000e0051, 0x00500012, 0x92334000,
    0x00530052, 0x00007605, 0xe2271000, 0x00550010,
    0x00000015, 0xe232f000, 0x00000012, 0xe2308000,
    0x00570056, 0xe2271000, 0x00120054, 0x00000058,
    0xe2308000, 0x00590011, 0x00000003, 0x00000000,
    0x00000002, 0x0000d605, 0x9230f000, 0x005c000f,
    0x00000001, 0x00000174, 0x00000000, 0x00000001,
    0x00000000, 0x00000007, 0xe2308000, 0x00150012,
    0x00007605, 0xe2383000, 0x0060005f, 0xe2271000,
    0x00610010, 0x00000012, 0x9230f000, 0x000e0062,
    0xe2308000, 0x00620011, 0xe2271000, 0x000e0063,
    0x00000064, 0x00000003, 0x00000000, 0x0000000e,
    0x0001b605, 0x9230f000, 0x0067000f, 0xfffff605,
    0xe2308000, 0x00690013, 0x9270f000, 0x006a0011,
    0x000e0011, 0xe230b000, 0x00150011, 0x9230f000,
    0x000e006d, 0xe2381000, 0x0011006d, 0x9230f000,
    0x000e006f, 0x92334000, 0x00100070, 0xe2308000,
    0x00180012, 0xe2383000, 0x005c0072, 0xe2271000,
    0x00120071, 0x00000073, 0x00000001, 0x000001a0,
    0x00000000, 0x00000001, 0x00000000, 0x00000020,
    0xf2000c01, 0x00000f05, 0xf2c00011, 0x00770076,
    0x00012224, 0x000001e0, 0x00000038, 0x00003705,
    0xffffd605, 0x00007605, 0xe2671000, 0x007a006e,
    0x006c007b, 0x007c0015, 0xf2800011, 0x00790076,
    0x00012224, 0x000001f8, 0x000001f4, 0x00005705,
    0xf2800011, 0x007f0076, 0xe2271000, 0x00420070,
    0x00000018, 0x00012224, 0x00000200, 0x00000204,
    0x00007705, 0xf2800011, 0x00820076, 0xe2271000,
    0x004d006b, 0x0000005c, 0x00012224, 0x0000020c,
    0x00000210, 0x00009705, 0xf2800011, 0x00850076,
    0xe2271000, 0x00180070, 0x00000042, 0x00012224,
    0x00000218, 0x0000021c, 0x0000b705, 0xf2800011,
    0x00880076, 0xe2271000, 0x007b0070, 0x0000007a,
    0x00012224, 0x00000224, 0x00000228, 0xe2337000,
    0x00150011, 0xf2364000, 0x00000074, 0xf2c00011,
    0x008c0076, 0xe2000eb4, 0x00000234, 0xe2308000,
    0x008e008b, 0x00000001, 0x00000000, 0x00000000,
    0x00000000, 0x00000001, 0xe2000028, 0x0000008f,
    0x00000075, 0x0000000e, 0x00000090, 0x00000000,
    0x00000001, 0xe2000028, 0x00000065, 0x0000005e,
    0x00000092, 0x00000091, 0x00000000, 0x00000001,
    0xe2000028, 0x0000005a, 0x0000004f, 0x00000094,
    0x00000093, 0x00000000, 0x00000001, 0xe2000028,
    0x0000004b, 0x00000044, 0x00000096, 0x00000095,
    0x00000000, 0x00000004, 0xe2000028, 0x00000040,
    0x00000021, 0x00000098, 0x00000097, 0xf2001394,
    0xf2001251, 0x0000026c, 0x00000004, 0x00000000,
    0x00000000, 0x00000240, 0x00012224, 0x00000270,
    0x00000268, 0x00000001, 0x00000000, 0x00000003,
    0x00000000, 0x0000000d, 0xf2011394, 0xe2021394,
    0xf2001851, 0x00000278, 0x00000110, 0x00000000,
    0x00000000, 0x40001211, 0x75727473, 0x612e7463,
    0x675f7867, 0x656d6f65, 0x5f797274, 0x61726170,
    0x0000736d, 0x00000249, 0x6c656966, 0x00003064,
    0xffffffff, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000249,
    0x6c656966, 0x00003164, 0xffffffff, 0x00000000,
    0x00000008, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000249, 0x6c656966, 0x00003264,
    0xffffffff, 0x00000000, 0x00000010, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00200093,
    0x00000249, 0x6c656966, 0x00003364, 0xffffffff,
    0x00000000, 0x00000018, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00200093, 0x00000249,
    0x6c656966, 0x00003464, 0xffffffff, 0x00000000,
    0x00000038, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00200093, 0x00000249, 0x6c656966,
    0x00003564, 0xffffffff, 0x00000000, 0x00000058,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000249, 0x6c656966, 0x00003664, 0xffffffff,
    0x00000000, 0x00000078, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000249, 0x6c656966,
    0x00003764, 0xffffffff, 0x00000000, 0x00000080,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00200093, 0x00000249, 0x6c656966, 0x00003864,
    0xffffffff, 0x00000000, 0x00000088, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00100093,
    0x00000240, 0x6c656966, 0x00003964, 0xffffffff,
    0x00000000, 0x000000a8, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00200093, 0x00000249,
    0x6c656966, 0x00303164, 0xffffffff, 0x00000000,
    0x000000b8, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00100093, 0x00000240, 0x6c656966,
    0x00313164, 0xffffffff, 0x00000000, 0x000000d8,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000249, 0x6c656966, 0x00323164, 0xffffffff,
    0x00000000, 0x000000e8, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000249, 0x6c656966,
    0x00333164, 0xffffffff, 0x00000000, 0x000000f0,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00100073, 0x00000240, 0x6c656966, 0x00343164,
    0xffffffff, 0x00000000, 0x000000f8, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000240,
    0x6c656966, 0x00353164, 0xffffffff, 0x00000000,
    0x00000104, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000240, 0x6c656966, 0x00363164,
    0xffffffff, 0x00000000, 0x00000108, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000240,
    0x6c656966, 0x00373164, 0xffffffff, 0x00000000,
    0x0000010c, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0xf2000041, 0x00000280, 0x00000005,
    0xf2364000, 0x0000009f, 0xf2c00011, 0x00a200a1,
    0xf2001851, 0x0000028c, 0x00000008, 0x00000008,
    0x00000000, 0x00000249, 0xf2000eb4, 0x00000290,
    0xe2390000, 0x000000a5, 0xe2391000, 0x000000a5,
    0xe2334000, 0x00a700a6, 0x00000e05, 0x9232b000,
    0x00a900a8, 0x00000001, 0x000002a8, 0x00000000,
    0x00000001, 0x00000000, 0x0000000d, 0xf2001851,
    0x00000294, 0x00000004, 0x00000004, 0x00000000,
    0x00000240, 0xe2000eb4, 0x000002b0, 0xf2000041,
    0x00000280, 0x00000008, 0xf2c00011, 0x00a200ae,
    0xf2001851, 0x000002bc, 0x00000008, 0x00000008,
    0x00000000, 0x00000249, 0xf2000eb4, 0x000002c0,
    0xf2364000, 0x000000ad, 0xf2001851, 0x000002c4,
    0x00000001, 0x00000000, 0x00000000, 0x00000245,
    0xf2800031, 0x00b200b3, 0xf2000041, 0x00000280,
    0x0000000a, 0xf2c00011, 0x00a200b5, 0xf2001851,
    0x000002d8, 0x00000008, 0x00000008, 0x00000000,
    0x00000249, 0x00012224, 0x000002dc, 0x000002d0,
    0x00000001, 0x00000000, 0x00000000, 0x00000000,
    0x00000004, 0xe2000028, 0x000000a9, 0x000000b8,
    0x000000ad, 0x000000ab, 0xf2001394, 0xf2001251,
    0x000002ec, 0x00000004, 0x00000000, 0x00000000,
    0x00000240, 0x00012224, 0x000002f0, 0x000002e8,
    0x00000001, 0x00000000, 0x00000003, 0x00000000,
    0x00000011, 0xf2001394, 0xe2011394, 0xe2021394,
    0xe2031394, 0xe2041394, 0xe2051394, 0xe232f000,
    0x000000c0, 0xe2708000, 0x00c400bf, 0x00c500c2,
    0x00003605, 0xfffff605, 0xe2b08000, 0x00c800c1,
    0x00c900c3, 0x00ca00c6, 0xf2364000, 0x000000cb,
    0xf20018d1, 0x000002f8, 0x00000004, 0x00000000,
    0x00000000, 0x00000e05, 0x00000002, 0x00000100,
    0x00000003, 0x00000000, 0x00000002, 0xe2000028,
    0x000000ce, 0x000000bd, 0x000000da, 0x000000d4,
    0x92374000, 0x00c000d0, 0x00000001, 0x00000344,
    0x00000000, 0x00000001, 0x00000000, 0x00000001,
    0x00000026, 0x00000001, 0x00000000, 0x00000000,
    0x00000000, 0x00000007, 0xe2308000, 0x00d000c6,
    0xf2364000, 0x000000d0, 0xf2308000, 0x00d600cc,
    0xf2800031, 0x00d700cd, 0xf20018d1, 0x00000360,
    0x00000004, 0x00000004, 0x00000000, 0x00012224,
    0x00000364, 0x00000354, 0xe2308000, 0x00c700d0,
    0x00000000, 0x00000005, 0xf2364000, 0x000000c0,
    0xf2308000, 0x00dc00cc, 0xf2800031, 0x00dd00cd,
    0xf20018d1, 0x00000378, 0x00000004, 0x00000004,
    0x00000000, 0x00012224, 0x0000037c, 0x00000320,
    0x00000001, 0x00000000, 0x00000005, 0x00000000,
    0x00000024, 0xf2001394, 0x92011394, 0xe2021394,
    0xe2031394, 0xe2041394, 0xf2001851, 0x00000384,
    0x00000110, 0x00000000, 0x00000000, 0x40001211,
    0x75727473, 0x612e7463, 0x675f7867, 0x656d6f65,
    0x5f797274, 0x61726170, 0x0000736d, 0x00000249,
    0x6c656966, 0x00003064, 0xffffffff, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000249, 0x6c656966, 0x00003164,
    0xffffffff, 0x00000000, 0x00000008, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000249,
    0x6c656966, 0x00003264, 0xffffffff, 0x00000000,
    0x00000010, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00200093, 0x00000249, 0x6c656966,
    0x00003364, 0xffffffff, 0x00000000, 0x00000018,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00200093, 0x00000249, 0x6c656966, 0x00003464,
    0xffffffff, 0x00000000, 0x00000038, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00200093,
    0x00000249, 0x6c656966, 0x00003564, 0xffffffff,
    0x00000000, 0x00000058, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000249, 0x6c656966,
    0x00003664, 0xffffffff, 0x00000000, 0x00000078,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000249, 0x6c656966, 0x00003764, 0xffffffff,
    0x00000000, 0x00000080, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00200093, 0x00000249,
    0x6c656966, 0x00003864, 0xffffffff, 0x00000000,
    0x00000088, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00100093, 0x00000240, 0x6c656966,
    0x00003964, 0xffffffff, 0x00000000, 0x000000a8,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00200093, 0x00000249, 0x6c656966, 0x00303164,
    0xffffffff, 0x00000000, 0x000000b8, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00100093,
    0x00000240, 0x6c656966, 0x00313164, 0xffffffff,
    0x00000000, 0x000000d8, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000249, 0x6c656966,
    0x00323164, 0xffffffff, 0x00000000, 0x000000e8,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000249, 0x6c656966, 0x00333164, 0xffffffff,
    0x00000000, 0x000000f0, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00100073, 0x00000240,
    0x6c656966, 0x00343164, 0xffffffff, 0x00000000,
    0x000000f8, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000240, 0x6c656966, 0x00353164,
    0xffffffff, 0x00000000, 0x00000104, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000240,
    0x6c656966, 0x00363164, 0xffffffff, 0x00000000,
    0x00000108, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000240, 0x6c656966, 0x00373164,
    0xffffffff, 0x00000000, 0x0000010c, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0xf2000041,
    0x00000398, 0x00000001, 0xf2001851, 0x0000039c,
    0x00000008, 0x00000008, 0x00000000, 0x00000249,
    0xf2000eb4, 0x000003a0, 0xf2000041, 0x00000398,
    0x00000000, 0xf20018d1, 0x000003a8, 0x00000008,
    0x00000008, 0x00000000, 0xf2000eb4, 0x000003ac,
    0xf2001851, 0x000003b0, 0x00000018, 0x00000000,
    0x00000000, 0x40000511, 0x75727473, 0x612e7463,
    0x675f7867, 0x656d6f65, 0x5f797274, 0x74617473,
    0x00000065, 0x00000249, 0x6c656966, 0x00003064,
    0xffffffff, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000240,
    0x6c656966, 0x00003164, 0xffffffff, 0x00000000,
    0x00000008, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000240, 0x6c656966, 0x00003264,
    0xffffffff, 0x00000000, 0x0000000c, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000240,
    0x6c656966, 0x00003364, 0xffffffff, 0x00000000,
    0x00000010, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000240, 0x6c656966, 0x00003464,
    0xffffffff, 0x00000000, 0x00000014, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0xf2000041,
    0x000003b4, 0x00000000, 0xf2001851, 0x000003b8,
    0x00000008, 0x00000008, 0x00000000, 0x00000249,
    0xf2000eb4, 0x000003bc, 0xf2000041, 0x000003b4,
    0x00000001, 0xf2001851, 0x000003c4, 0x00000004,
    0x00000008, 0x00000000, 0x00000240, 0xe2000eb4,
    0x000003c8, 0xf2364000, 0x000000f3, 0xf2001851,
    0x000003c0, 0x00000001, 0x00000000, 0x00000000,
    0x00000245, 0xf2800031, 0x00f400f5, 0xf2001851,
    0x000003d8, 0x00000004, 0x00000000, 0x00000000,
    0x00000240, 0xf2000041, 0x00000398, 0x00000006,
    0xf2001851, 0x000003e0, 0x00000008, 0x00000008,
    0x00000000, 0x00000249, 0x00012224, 0x000003e4,
    0x000003dc, 0xe2325000, 0x00e500e3, 0x00003605,
    0xe2308000, 0x00fb00fa, 0xffff9605, 0xe230b000,
    0x00fd00fc, 0xe2000eb4, 0x000003c8, 0xe2308000,
    0x00fe00ff, 0x00012224, 0x000003c8, 0x00000400,
    0x92330000, 0x000000e2, 0x00000705, 0xdeadbeef,
    0x00000000, 0x00000001, 0x00000404, 0x00000000,
    0x00000001, 0x00000000, 0x00000010, 0xf2001851,
    0x000003a4, 0x00000004, 0x00000004, 0x00000000,
    0x00000240, 0x00012224, 0x00000410, 0x0000038c,
    0xf20018d1, 0x000003a4, 0x00000004, 0x00000000,
    0x00000000, 0x00003705, 0xf2800031, 0x01060105,
    0xf20018d1, 0x0000041c, 0x00000004, 0x00000004,
    0x00000000, 0x00012224, 0x00000420, 0x000003ec,
    0x00005705, 0xf2800031, 0x01090105, 0xf20018d1,
    0x00000428, 0x00000004, 0x00000004, 0x00000000,
    0x00000e05, 0x00012224, 0x0000042c, 0x00000430,
    0x00007705, 0xf2800031, 0x010d0105, 0xf20018d1,
    0x00000438, 0x00000004, 0x00000004, 0x00000000,
    0x00012224, 0x0000043c, 0x00000430, 0x00000001,
    0x00000000, 0x00000023, 0xe2308000, 0x00e400e3,
    0xf2000eb4, 0x000003bc, 0xf2364000, 0x00000100,
    0xf2001851, 0x00000448, 0x00000001, 0x00000000,
    0x00000000, 0x00000245, 0xf2800031, 0x01130114,
    0xf2001851, 0x00000454, 0x00000004, 0x00000000,
    0x00000000, 0x00000240, 0xf2000041, 0x00000398,
    0x00000007, 0xf2001851, 0x0000045c, 0x00000008,
    0x00000008, 0x00000000, 0x00000249, 0x00012224,
    0x00000460, 0x00000458, 0x00005605, 0xe2337000,
    0x01190111, 0xe2000eb4, 0x000003c8, 0xe2308000,
    0x011a011b, 0x00012224, 0x000003c8, 0x00000470,
    0xf2001851, 0x000003a4, 0x00000004, 0x00000004,
    0x00000000, 0x00000240, 0x00012224, 0x00000474,
    0x00000444, 0xf20018d1, 0x000003a4, 0x00000004,
    0x00000000, 0x00000000, 0x00003705, 0xf2800031,
    0x011f011e, 0xf20018d1, 0x00000480, 0x00000004,
    0x00000004, 0x00000000, 0x00012224, 0x00000484,
    0x000003ec, 0xe23a2000, 0x01190100, 0x00005705,
    0xf2800031, 0x0123011e, 0xf20018d1, 0x00000490,
    0x00000004, 0x00000004, 0x00000000, 0x00012224,
    0x00000494, 0x00000488, 0x00007705, 0xf2800031,
    0x0126011e, 0xf20018d1, 0x0000049c, 0x00000004,
    0x00000004, 0x00000000, 0x00000e05, 0x00012224,
    0x000004a0, 0x000004a4, 0x00009705, 0xf2800031,
    0x012a011e, 0xf20018d1, 0x000004ac, 0x00000004,
    0x00000004, 0x00000000, 0x00012224, 0x000004b0,
    0x000004a4, 0x00000000, 0x00000003, 0xe2000eb4,
    0x000003c8, 0x08000e05, 0x92379000, 0x012e012f,
    0x00000001, 0x000004c0, 0x00000000, 0x00000001,
    0x00000000, 0x00000003, 0xf20018d1, 0x00000408,
    0x00000004, 0x00000004, 0x00000000, 0x02469605,
    0x00012224, 0x000004c8, 0x000004cc, 0x00000001,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000001, 0x00000000, 0x00000003, 0x00000000,
    0x00000072, 0xf2001394, 0xe2011394, 0xf2001851,
    0x000004dc, 0x00000110, 0x00000000, 0x00000000,
    0x40001211, 0x75727473, 0x612e7463, 0x675f7867,
    0x656d6f65, 0x5f797274, 0x61726170, 0x0000736d,
    0x00000249, 0x6c656966, 0x00003064, 0xffffffff,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000249, 0x6c656966,
    0x00003164, 0xffffffff, 0x00000000, 0x00000008,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000249, 0x6c656966, 0x00003264, 0xffffffff,
    0x00000000, 0x00000010, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00200093, 0x00000249,
    0x6c656966, 0x00003364, 0xffffffff, 0x00000000,
    0x00000018, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00200093, 0x00000249, 0x6c656966,
    0x00003464, 0xffffffff, 0x00000000, 0x00000038,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00200093, 0x00000249, 0x6c656966, 0x00003564,
    0xffffffff, 0x00000000, 0x00000058, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000249,
    0x6c656966, 0x00003664, 0xffffffff, 0x00000000,
    0x00000078, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000249, 0x6c656966, 0x00003764,
    0xffffffff, 0x00000000, 0x00000080, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00200093,
    0x00000249, 0x6c656966, 0x00003864, 0xffffffff,
    0x00000000, 0x00000088, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00100093, 0x00000240,
    0x6c656966, 0x00003964, 0xffffffff, 0x00000000,
    0x000000a8, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00200093, 0x00000249, 0x6c656966,
    0x00303164, 0xffffffff, 0x00000000, 0x000000b8,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00100093, 0x00000240, 0x6c656966, 0x00313164,
    0xffffffff, 0x00000000, 0x000000d8, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000249,
    0x6c656966, 0x00323164, 0xffffffff, 0x00000000,
    0x000000e8, 0x00000000, 0x00000000, 0x00000000,
    0x00000000, 0x00000249, 0x6c656966, 0x00333164,
    0xffffffff, 0x00000000, 0x000000f0, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00100073,
    0x00000240, 0x6c656966, 0x00343164, 0xffffffff,
    0x00000000, 0x000000f8, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000240, 0x6c656966,
    0x00353164, 0xffffffff, 0x00000000, 0x00000104,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000240, 0x6c656966, 0x00363164, 0xffffffff,
    0x00000000, 0x00000108, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000240, 0x6c656966,
    0x00373164, 0xffffffff, 0x00000000, 0x0000010c,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0xf2000041, 0x000004e4, 0x0000000d, 0xf2001851,
    0x000004e8, 0x00000008, 0x00000008, 0x00000000,
    0x00000249, 0xf2000eb4, 0x000004ec, 0xf2001851,
    0x000004f0, 0x00000004, 0x00000004, 0x00000000,
    0x00000240, 0xe2000eb4, 0x000004f4, 0xf20018d1,
    0x000004f0, 0x00000004, 0x00000000, 0x00000000,
    0x00003705, 0xf2800031, 0x0140013f, 0xf20018d1,
    0x00000504, 0x00000004, 0x00000004, 0x00000000,
    0xe2000eb4, 0x00000508, 0x00000e05, 0x9230f000,
    0x01440138, 0x00003605, 0x9230f000, 0x01460138,
    0xfffff605, 0xe2321000, 0x0148013e, 0xe2322000,
    0x01460149, 0xe2307000, 0x0000013e, 0xe23a2000,
    0x0146014b, 0xe2325000, 0x014c014a, 0x00005605,
    0x9230f000, 0x014e0138, 0x92315000, 0x014e013e,
    0xe2271000, 0x013e0150, 0x00000144, 0x00007605,
    0x9230f000, 0x01520138, 0xe2308000, 0x0148013e,
    0xe2271000, 0x01540150, 0x00000144, 0x00009605,
    0x9230f000, 0x01560138, 0xe230e000, 0x0152013e,
    0x0000b605, 0x9230f000, 0x01590138, 0x92315000,
    0x0152013e, 0xffffd605, 0xe2308000, 0x015c013e,
    0xe2271000, 0x015d015b, 0x00000144, 0x0000d605,
    0x9230f000, 0x015f0138, 0x00015605, 0x9230f000,
    0x01610138, 0xe23a2000, 0x014e014b, 0xe2325000,
    0x0163014a, 0x00017605, 0x9230f000, 0x01650138,
    0x92315000, 0x0156013e, 0xffffb605, 0xe2308000,
    0x0168013e, 0xe2271000, 0x01690167, 0x00000144,
    0x00019605, 0x9230f000, 0x016b0138, 0xe230e000,
    0x015f013e, 0x0001b605, 0x9230f000, 0x016e0138,
    0x92315000, 0x015f013e, 0xffff5605, 0xe2308000,
    0x0171013e, 0xe2321000, 0x01480172, 0xe2322000,
    0x01460173, 0xe2307000, 0x00000172, 0xe23a2000,
    0x01460175, 0xe2325000, 0x01760174, 0xe2308020,
    0x01770146, 0xe2271000, 0x01780170, 0x00000144,
    0x0000f605, 0x9230f000, 0x017a0138, 0x00011605,
    0x9230f000, 0x017c0138, 0xe2321000, 0x0148015d,
    0xe2322000, 0x0146017e, 0xe2307000, 0x0000015d,
    0xe23a2000, 0x01460180, 0xe2325000, 0x0181017f,
    0xe2271000, 0x01820167, 0x00000144, 0xe2223000,
    0x0000015b, 0xe2e71000, 0x0183017d, 0x017b0184,
    0x01850164, 0x0179016f, 0x016c0186, 0x0187016d,
    0xe2671000, 0x016a0166, 0x01620188, 0x01890164,
    0x92334000, 0x0160015a, 0xe2e71000, 0x015e018b,
    0x0157018a, 0x018c0158, 0x01550153, 0x014f018d,
    0x018e0151, 0xe2671000, 0x014d0147, 0x0145018f,
    0x0190013e, 0xe2325000, 0x01430191, 0xf2000041,
    0x000004e4, 0x0000000f, 0xf20018d1, 0x0000064c,
    0x00000004, 0x00000004, 0x00000000, 0x00012224,
    0x00000650, 0x00000648, 0xf2000041, 0x000004e4,
    0x0000000e, 0x00000f05, 0xf2c00011, 0x01960195,
    0xf20018d1, 0x0000065c, 0x00000004, 0x00000008,
    0x00000000, 0x00012224, 0x00000660, 0x00000644,
    0xf2c00011, 0x01400195, 0xf20018d1, 0x00000664,
    0x00000004, 0x00000004, 0x00000000, 0x00012224,
    0x00000668, 0x0000050c, 0x00005705, 0xf2c00011,
    0x019b0195, 0xf20018d1, 0x00000670, 0x00000004,
    0x00000008, 0x00000000, 0x00012224, 0x00000674,
    0x00000518, 0xf2000041, 0x000004e4, 0x0000000c,
    0xf2001851, 0x00000678, 0x00000008, 0x00000008,
    0x00000000, 0x00000249, 0xf2000eb4, 0x0000067c,
    0xe2390000, 0x000001a0, 0xe2391000, 0x000001a0,
    0xe2334000, 0x01a201a1, 0x9232b000, 0x014401a3,
    0x00000001, 0x00000690, 0x00000000, 0x00000001,
    0x00000000, 0x0000000b, 0xf2800031, 0x019b013f,
    0xf2001851, 0x00000698, 0x00000004, 0x00000004,
    0x00000000, 0x00000240, 0xe2000eb4, 0x0000069c,
    0xf2000041, 0x000004e4, 0x00000011, 0xf20018d1,
    0x000006a4, 0x00000004, 0x00000004, 0x00000000,
    0xe2000eb4, 0x000006a8, 0xe2325000, 0x01ab01a8,
    0xf2364000, 0x000001ac, 0xf2001851, 0x00000680,
    0x00000001, 0x00000000, 0x00000000, 0x00000245,
    0xf2800031, 0x01ad01ae, 0x00012224, 0x0000067c,
    0x000006bc, 0x00000001, 0x00000000, 0x00000000,
    0x00000000, 0x0000001b, 0xf2000041, 0x000004e4,
    0x00000000, 0xf2001851, 0x000006c8, 0x00000008,
    0x00000008, 0x00000000, 0x00000249, 0xf2000eb4,
    0x000006cc, 0xf2001851, 0x000006d0, 0x00000018,
    0x00000000, 0x00000000, 0x40000511, 0x75727473,
    0x612e7463, 0x675f7867, 0x656d6f65, 0x5f797274,
    0x74617473, 0x00000065, 0x00000249, 0x6c656966,
    0x00003064, 0xffffffff, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000240, 0x6c656966, 0x00003164, 0xffffffff,
    0x00000000, 0x00000008, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000240, 0x6c656966,
    0x00003264, 0xffffffff, 0x00000000, 0x0000000c,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0x00000240, 0x6c656966, 0x00003364, 0xffffffff,
    0x00000000, 0x00000010, 0x00000000, 0x00000000,
    0x00000000, 0x00000000, 0x00000240, 0x6c656966,
    0x00003464, 0xffffffff, 0x00000000, 0x00000014,
    0x00000000, 0x00000000, 0x00000000, 0x00000000,
    0xf2000041, 0x000006d4, 0x00000000, 0xf2001851,
    0x000006d8, 0x00000008, 0x00000008, 0x00000000,
    0x00000249, 0xf2000eb4, 0x000006dc, 0xf2000041,
    0x000006d4, 0x00000001, 0xf2001851, 0x000006e4,
    0x00000004, 0x00000008, 0x00000000, 0x00000240,
    0xe2000eb4, 0x000006e8, 0xf2364000, 0x000001bb,
    0xf2001851, 0x000006e0, 0x00000001, 0x00000000,
    0x00000000, 0x00000245, 0xf2800031, 0x01bc01bd,
    0xf2001851, 0x000006f8, 0x00000004, 0x00000000,
    0x00000000, 0x00000240, 0xf2000041, 0x000004e4,
    0x00000002, 0xf2001851, 0x00000700, 0x00000008,
    0x00000008, 0x00000000, 0x00000249, 0x00012224,
    0x00000704, 0x000006fc, 0xf2000041, 0x000004e4,
    0x00000010, 0xf2001851, 0x00000708, 0x00000004,
    0x00000008, 0x00000000, 0x00000240, 0xe2000eb4,
    0x0000070c, 0xe2325000, 0x01c40192, 0xe2308000,
    0x014601c5, 0xffff9605, 0xe230b000, 0x01c701c6,
    0xe2000eb4, 0x000006e8, 0xe2308000, 0x01c801c9,
    0x00012224, 0x000006e8, 0x00000728, 0x00000001,
    0x00000000, 0x00000005, 0x00000000, 0x0000000b,
    0xf2001394, 0xe2011394, 0xe2021394, 0xe4031394,
    0x00000e05, 0x00041605, 0x0003f605, 0xe230b000,
    0x01d201cd, 0xe232f000, 0x000001d3, 0xe2308000,
    0x01d401cd, 0xe233e000, 0x000001cf, 0x00000002,
    0x00000100, 0x00000003, 0x00000000, 0x00000003,
    0xe2000028, 0x000001d6, 0x000001cb, 0x000001ea,
    0x000001dd, 0xe2000028, 0x000001d0, 0x000001cb,
    0x000001e9, 0x000001dd, 0x92374000, 0x01d501d8,
    0x00000001, 0x00000768, 0x00000000, 0x00000001,
    0x00000000, 0x00000001, 0x00000026, 0x00000001,
    0x00000000, 0x00000000, 0x00000000, 0x0000000e,
    0xe2325000, 0x01ce01d8, 0xe2308400, 0x01cf01de,
    0xf2364000, 0x000001df, 0xf20018d1, 0x00000730,
    0x00000004, 0x00000000, 0x00000000, 0xf2800031,
    0x01e001e1, 0xf20018d1, 0x00000788, 0x00000004,
    0x00000004, 0x00000000, 0xe2000eb4, 0x0000078c,
    0xe2008694, 0x00000790, 0x00000108, 0xe2708000,
    0x01e401e5, 0x01e601d9, 0x00012224, 0x0000078c,
    0x0000079c, 0xe2001fe4, 0x00000798, 0x00000748,
    0xe2708000, 0x01e801d9, 0x01d101d8, 0x00000000,
    0x00000001, 0x92379000, 0x01d301cf, 0x00000001,
    0x000007b0, 0x00000000, 0x00000001, 0x00000000,
    0x0000000b, 0xe2325000, 0x01ce01d8, 0xe2308400,
    0x01cf01ee, 0xf2364000, 0x000001ef, 0xf20018d1,
    0x00000730, 0x00000004, 0x00000000, 0x00000000,
    0xf2800031, 0x01f001f1, 0xf20018d1, 0x000007c8,
    0x00000004, 0x00000004, 0x00000000, 0xe2000eb4,
    0x000007cc, 0xe2008694, 0x000007d0, 0x00000108,
    0xe2708000, 0x01f501d9, 0x01f401f6, 0x00012224,
    0x000007cc, 0x000007dc, 0x00000001, 0x00000000,
    0x00000000, 0x00000000, 0x00000000, 0x00000001,
    0x00000000, 0x00000003, 0x00000000, 0x00000041,
    0x00000e05, 0xf2011394, 0xd2021394, 0xe2031394,
    0x92041394, 0x92051394, 0x92061394, 0x92071394,
    0x92081394, 0x00003605, 0xe2005084, 0x000007f0,
    0x00000400, 0xf2364000, 0x00000205, 0x00009605,
    0xf23a2000, 0x02070206, 0xe2390000, 0x00000208,
    0x00007605, 0xe230b000, 0x020a0209, 0x00005605,
    0x00009705, 0xf2308000, 0x020d01fc, 0xe2005084,
    0x00000838, 0x00000400, 0xf2364000, 0x0000020f,
    0x00041605, 0xf2337000, 0x02110210, 0xf2334000,
    0x02120206, 0x00039605, 0xf23a2000, 0x02140213,
    0xe2390000, 0x00000215, 0x07fff605, 0xe230b000,
    0x02170216, 0xe2308000, 0x02040218, 0x00015605,
    0xf23a2000, 0x021a0210, 0xe2390000, 0x0000021b,
    0xe230b000, 0x0217021c, 0x00031605, 0xf23a2000,
    0x021e0210, 0xe2390000, 0x0000021f, 0x0001f605,
    0xe230b000, 0x02210220, 0x00019705, 0xf2308000,
    0x022301fc, 0xe2005084, 0x00000890, 0x00000400,
    0xf2364000, 0x00000225, 0x00013605, 0xf23a2000,
    0x02270226, 0xe2390000, 0x00000228, 0xe230b000,
    0x02040229, 0x9230f000, 0x01fb022a, 0x0001d605,
    0xf23a2000, 0x022c0226, 0xe2390000, 0x0000022d,
    0xe230b000, 0x0217022e, 0x00021705, 0xf2308000,
    0x023001fc, 0xe2005084, 0x000008c4, 0x00000400,
    0x00fff605, 0xe230b000, 0x02330232, 0xf2364000,
    0x00000232, 0x00029705, 0xf2308000, 0x023601fc,
    0xe2005084, 0x000008dc, 0x00000400, 0xf2364000,
    0x00000238, 0xf2337000, 0x02110239, 0xf2334000,
    0x023a0235, 0x00000001, 0x000008ac, 0x00000000,
    0x00000003, 0x00000000, 0x00000001, 0x92330000,
    0x000001ff, 0x00000001, 0x000008f4, 0x00000000,
    0x00000003, 0x00000000, 0x0000000a, 0xe2363000,
    0x000001fd, 0xe2308000, 0x0222023f, 0x9230b000,
    0x02010203, 0x9230f000, 0x01fb020b, 0x9230b000,
    0x02420241, 0xe2271000, 0x02340243, 0x0000022f,
    0xe2308000, 0x02440204, 0x9230b000, 0x02000203,
    0xe2271000, 0x02440246, 0x0000021d, 0xe2308000,
    0x02470204, 0x00000002, 0x00000100, 0x00000003,
    0x00000000, 0x00000009, 0xe2000028, 0x00000219,
    0x0000023e, 0x00000260, 0x00000255, 0xe2000028,
    0x00000248, 0x0000023e, 0x00000261, 0x00000255,
    0xe2000028, 0x00000245, 0x0000023e, 0x00000262,
    0x00000255, 0xe2000028, 0x000001fb, 0x0000023e,
    0x0000025f, 0x00000255, 0xe63a8000, 0x024b024a,
    0x0000024c, 0xe2223000, 0x00000203, 0xe232f000,
    0x0000024f, 0xe2308000, 0x025001fe, 0x92374000,
    0x0251024d, 0x00000001, 0x00000948, 0x00000000,
    0x00000001, 0x00000000, 0x00000001, 0x00000026,
    0x00000001, 0x00000000, 0x00000000, 0x00000000,
    0x0000000d, 0x9271a000, 0x0204024d, 0x020c024d,
    0xe2671000, 0x024b0257, 0x0256024c, 0x0258024a,
    0xe23a2000, 0x02400259, 0xe237f000, 0x0204025a,
    0x00000625, 0x00000000, 0x00000001, 0x00000002,
    0x9610f000, 0x00000934, 0xa4000970, 0xe6071000,
    0xa4000974, 0x0000096c, 0xa4000938, 0xe2308000,
    0x0204024d, 0xe233e000, 0x0000025e, 0xe233e100,
    0x0000025e, 0xe233e200, 0x0000025e, 0x00000000,
    0x00000001, 0xe2271000, 0x024a0202, 0x0000024b,
    0x00000001, 0x00000000, 0x00000001, 0xe2363000,
    0x0000023b, 0x00000000, 0x00000003, 0xe2000028,
    0x0000024a, 0x00000263, 0x00000266, 0x00000265,
    0xe2000028, 0x00000264, 0x00000263, 0x00000266,
    0x00000265, 0xe2000028, 0x0000024c, 0x00000263,
    0x00000266, 0x00000265, 0x00000001, 0x00000000,
    0x00000000, 0x00000000, 0x00000007, 0xe2000028,
    0x00000268, 0x00000267, 0x000001fb, 0x0000026b,
    0xe2000028, 0x00000269, 0x00000267, 0x000001fb,
    0x0000026b, 0xe2000028, 0x0000026a, 0x00000267,
    0x000001fb, 0x0000026b, 0xf2001394, 0xf2001251,
    0x000009c0, 0x00000010, 0x00000000, 0x00000000,
    0x50000300, 0xe83a9000, 0x026e026d, 0x026f026f,
    0x00072224, 0x000009c4, 0x000009c8, 0x00000001,
    0x00000000, 0x00000001, 0x00000000, 0x00000018,
    0xf2011394, 0x00000e05, 0x00003605, 0x00009605,
    0x00005605, 0x00011705, 0xf2308000, 0x02790274,
    0xe2005084, 0x000009e8, 0x00000400, 0xe230b000,
    0x0276027b, 0x00019705, 0xf2308000, 0x027d0274,
    0xe2005084, 0x000009f8, 0x00000400, 0xf2364000,
    0x0000027f, 0x00013605, 0xf23a2000, 0x02810280,
    0xe2390000, 0x00000282, 0xe230b000, 0x02760283,
    0x9232b000, 0x02750284, 0x9230f000, 0x0275027c,
    0xe2671000, 0x02780286, 0x02850277, 0x02870275,
    0xf2001394, 0xf2001251, 0x00000a24, 0x00000004,
    0x00000000, 0x00000000, 0x00000240, 0x00012224,
    0x00000a28, 0x00000a20, 0x00000001, 0x00000000,
    0x00000001, 0x00000000, 0x00000053, 0xf2011394,
    0xe8021394, 0xe2031394, 0xe2041394, 0x92061394,
    0x92071394, 0x00003605, 0xe2005084, 0x00000a30,
    0x00000400, 0xf2364000, 0x00000293, 0x00009705,
    0xf2308000, 0x0295028c, 0xe2005084, 0x00000a58,
    0x00000400, 0xf2364000, 0x00000297, 0x00041605,
    0xf2337000, 0x02990298, 0xf2334000, 0x029a0294,
    0xe2390000, 0x0000029b, 0xe2391000, 0x0000029b,
    0xe230b000, 0x0292029d, 0xf2344000, 0x029e029c,
    0x0000f605, 0xf2337000, 0x02a0029f, 0xf23a2000,
    0x02920298, 0xe2390000, 0x000002a2, 0xe230b000,
    0x02a002a3, 0xe2337000, 0x02a40292, 0x00009605,
    0xf23a2000, 0x02a60298, 0xe2390000, 0x000002a7,
    0xe230b000, 0x02a002a8, 0xe2337000, 0x02a90292,
    0xf23a2000, 0x02a00298, 0xe2390000, 0x000002ab,
    0x0ffff605, 0xe230b000, 0x02ad02ac, 0x0002d605,
    0xf23a2000, 0x02af0298, 0xe2390000, 0x000002b0,
    0x00007605, 0xe230b000, 0x02b202b1, 0xe2337000,
    0x02b30292, 0x00011705, 0xf2308000, 0x02b5028c,
    0xe2005084, 0x00000ad8, 0x00000400, 0xfffff605,
    0xd4362000, 0x0000028d, 0xd2762000, 0x02aa02a5,
    0xe2363000, 0x000002ba, 0xe2308000, 0x02b802a5,
    0xd2362000, 0x000002bd, 0xe2363000, 0x000002bb,
    0xe2308000, 0x02b802aa, 0xd2362000, 0x000002c0,
    0xd43a7000, 0x02c102be, 0xe273f000, 0x02b902c2,
    0xe230b000, 0x02c302c4, 0xd438b000, 0x000002c5,
    0xe2333400, 0x02c602c6, 0xe2330000, 0x000002c3,
    0xe230b000, 0x02c802c4, 0xd438b000, 0x000002c9,
    0xe2363100, 0x000002ca, 0xe2725000, 0x02ae02cb,
    0x02bc02cc, 0xe2363000, 0x000002ca, 0xe2325020,
    0x02bf02ce, 0xe2708000, 0x02cf02cd, 0x02c702d0,
    0xe2325200, 0x02b7028d, 0xe2308000, 0x02d202d1,
    0xe2271000, 0x02d30290, 0x000002d1, 0xe2325000,
    0x02b402d4, 0xe2308000, 0x028e02d5, 0xe2325000,
    0x028f02d6, 0xf2364000, 0x000002d7, 0xf2308000,
    0x02d802a1, 0xf2364000, 0x000002d6, 0xf2271000,
    0x02da0291, 0x000002d9, 0xf2001394, 0xf2001251,
    0x00000b70, 0x00000008, 0x00000000, 0x00000000,
    0x00000249, 0x00012224, 0x00000b74, 0x00000b6c,
    0x00000001, 0x00000000, 0x00000001, 0x00000000,
    0x00000017, 0xf2011394, 0xe8021394, 0xe2031394,
    0xe2005084, 0x00000b7c, 0x00000400, 0xf2364000,
    0x000002e2, 0x00009705, 0xf2308000, 0x02e402df,
    0xe2005084, 0x00000b94, 0x00000400, 0xf2364000,
    0x000002e6, 0x00041605, 0xf2337000, 0x02e802e7,
    0xf2334000, 0x02e902e3, 0xe2390000, 0x000002ea,
    0xe2391000, 0x000002ea, 0x001ff605, 0xe230b000,
    0x02ed02ec, 0xf2344000, 0x02ee02eb, 0xe2325000,
    0x02e102e0, 0xf2364000, 0x000002f0, 0xf2308000,
    0x02f102ef, 0xf2001394, 0xf20012d1, 0x00000bcc,
    0x00000008, 0x00000000, 0x00000000, 0x00012224,
    0x00000bd0, 0x00000bc8, 0x00000001, 0x00000000,
    0x00000001, 0x00000000, 0x0000000d, 0xf2011394,
    0xe2005084, 0x00000bd8, 0x00000400, 0xf2364000,
    0x000002f7, 0x0000d605, 0xf23a2000, 0x02f902f8,
    0xe2390000, 0x000002fa, 0x000ff605, 0xe230b000,
    0x02fc02fb, 0x0006d605, 0x9230f000, 0x02fe02fd,
    0xf2001394, 0xf2001251, 0x00000c00, 0x00000004,
    0x00000000, 0x00000000, 0x0000024b, 0x00012224,
    0x00000c04, 0x00000bfc, 0x00000001, 0x00000000,
    0x00000001, 0x00000000, 0x00000024, 0xf2011394,
    0xe2021394, 0x92031394, 0x00003605, 0x00019605,
    0x00005605, 0x00011705, 0xf2308000, 0x03090303,
    0xe2005084, 0x00000c28, 0x00000400, 0xf2364000,
    0x0000030b, 0x00019705, 0xf2308000, 0x030d0303,
    0xe2005084, 0x00000c38, 0x00000400, 0xf2364000,
    0x0000030f, 0x00041605, 0xf2337000, 0x03110310,
    0xf2334000, 0x0312030c, 0x00009605, 0xf23a2000,
    0x03080313, 0xe2390000, 0x00000315, 0xe2391000,
    0x00000315, 0x0001f605, 0xe230b000, 0x03180317,
    0xf2344000, 0x03190316, 0xf2337000, 0x0314031a,
    0xe2325000, 0x03040307, 0xf2364000, 0x0000031c,
    0xf2308000, 0x031d031b, 0xf2001851, 0x00000c78,
    0x00000010, 0x00000010, 0x00000000, 0x50000300,
    0xe8000eb4, 0x00000c7c, 0x3f800e05, 0xe2271000,
    0x03210305, 0x00000306, 0xe81a9000, 0xe4000c80,
    0xe5000c80, 0xe6000c80, 0x00000c88, 0xf2001394,
    0xf20012d1, 0x00000c90, 0x00000010, 0x00000000,
    0x00000000, 0x000f2224, 0x00000c94, 0x00000c8c,
    0x00000000, 0x00000000, 0x00000000,
};
